Bug 164072 - hsqldb 1.8.0 for rawhide ?
hsqldb 1.8.0 for rawhide ?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hsqldb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
http://hsqldb.org/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 19:47 EDT by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 06:59:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2005-07-23 19:47:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.7.10-3

Description of problem:
hsqldb 1.8.0 is now released, this is the version that OOo currently has in it's tree.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Upstream openoffice.org now uses an unpatched hsqldb 1.8.0, ideally I'd prefer to drop building the OOo intree copy and figure out how to make it use a system hsqldb 1.8.0.  Allowing me to put the blame for any hsqldb problems where they belong :-)

Additional info:

a) gcc19870 apparently affects in intree hsqldb 1.8.0, so I've been working around with a crude sed -s "private /public /g"
b) in hsqldb/src/org/hsqldb/HsqlDateTime.java...
       public boolean isZeroBit(int bit) {
            return (state & (1L << bit)) == 0;
        }
gives a verification error on compilation to .so. Patching to simply give...
       public boolean isZeroBit(int bit) {
            boolean bRet = ((state & (1L << bit)) == 0);
            return bRet;
        }
works around
Comment 1 Gary Benson 2005-08-04 06:59:15 EDT
Built in rawhide.

By the way, you should try using the system javac to build things.  It's ecj,
which is a _much_ better bytecode compiler than gcj.

Note You need to log in before you can comment on or make changes to this bug.